// LANDlg.h : header file
//

#if !defined(AFX_LANDLG_H__6449E91B_862D_4720_9D39_E2B9D10BB41F__INCLUDED_)
#define AFX_LANDLG_H__6449E91B_862D_4720_9D39_E2B9D10BB41F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CLANDlg dialog

#include <winsock2.h>

class CLANDlg : public CDialog
{
// Construction
public:
	CLANDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CLANDlg)
	enum { IDD = IDD_LAN_DIALOG };
	CIPAddressCtrl	m_PriIp;
	CIPAddressCtrl	m_LocalIP;
	BOOL	bHex;
	CString	m_strTx;
	int		iPrintNum;
    SOCKET  NetPortSocket;
	SOCKADDR_IN  PrinterAddr; 
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLANDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLANDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonJian();
	afx_msg void OnButtonClr();
	afx_msg void OnButtonPrint();
	afx_msg void OnButtonRefresh();
	afx_msg void OnButtonConnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LANDLG_H__6449E91B_862D_4720_9D39_E2B9D10BB41F__INCLUDED_)
